camel-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Henryk Konsek <hekon...@gmail.com>
Subject [camel-extra][smooks] Dependencies only in mirror repo
Date Mon, 11 Oct 2010 18:54:11 GMT
Deprecated Smooks component from Camel-Extra defines dependencies to
Smooks 1.0.1 jars. The problem is that the oldest version of Smooks
available on ibiblio is 1.1 [1]. The only public repository where I
can find 1.0.1 jars (according to the Google and findjar.com [2]) is
Maven 1 ibiblio mirror [3].

I guess that many people doesn't have this mirror [3] in the
settings.xml. That leads to the problem with unsatisfied dependencies.

Since Smooks component is deprecated I suggest to add 1.0.1 jars to
our new /maven2/others repository [4]. What do you think about that?

[1] http://mirrors.ibiblio.org/pub/mirrors/maven2/org/milyn/milyn-smooks-core/
[2] http://www.findjar.com/jar/milyn/milyn-smooks-core/1.0.1/milyn-smooks-core-1.0.1.jar.html
[3] http://mirrors.ibiblio.org/pub/mirrors/maven/
[4] http://code.google.com/p/camel-extra/source/browse/#svn/maven2/others

-- 
Henryk Konsek

Mime
View raw message